Bug 497669 - g-p-m fails to put display to sleep more than once if screensaver is enabled
g-p-m fails to put display to sleep more than once if screensaver is enabled
Status: CLOSED DUPLICATE of bug 509660
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-25 19:41 EDT by Jason Farrell
Modified: 2009-07-04 14:50 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-04 14:50:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Farrell 2009-04-25 19:41:10 EDT
Description of problem:
If gnome's screensaver & display powersave are both enabled, then it works as expected on the first inactivity cycle; on subsequent cycles, only the screensaver activates, but the display is never again put to sleep. If screensaver is not enabled, but powersave is, then the screen *is* put to sleep on each cycle.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.26.1-2.fc11.i586

How reproducible:
F11Snap1 updated to rawhide.

Steps to Reproduce:
1. under System -> Prefs -> ScreenSaver: select the 'blank screen' saver; set idletimeout to 1 minute; check 'Activate screensaver'
2. under 'Power Management' set 'Put display to sleep when inactive for' 2 minutes.
3. (reboot and login)
4. wait 3 minutes, hit keyboard, wait another 3 minutes.

Actual results:
1st cycle: after 1min screen blanks; another minute and screen is put to sleep.
every cycle after that: only the screen blanks

Expected results:
powersave always working; a backlight left on kills batterylife.

Additional info:
"sleep 1; xset dpms force on" still works.

I note that the gnome-power-manager release previous this one had more severe DPMS problems that this one attempted to fix (from the changelog). perhaps it's just a small thing?

smolt profile:  http://www.smolts.org/client/show/pub_e72ad1ae-a8ce-42b7-afac-add43026ccee
Comment 1 Jason Farrell 2009-04-25 19:44:10 EDT
2. under 'Power Management' set 'Put display to sleep when inactive for' 2
minutes, for when on A/C AND battery.
Comment 2 Bug Zapper 2009-06-09 10:35:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Hin-Tak Leung 2009-06-27 20:29:42 EDT
Hmm, my display hasn't gone to sleep since upgrade to f11 - I had 5 minutes configured in both screen saver & power manager. I am going to switch off the sceen saver now.
Comment 4 Zaphod Beeblebrox 2009-07-01 21:32:05 EDT
Same problem here as comment #3. Any ideas when the behaviour will get back to that from F10? I even went as far as to try the 2.27 gnome-power-manager to much the same effect.
Comment 5 Jason Farrell 2009-07-04 14:50:05 EDT
I am closing this bug since I've managed to narrow it down and reproduce it more specifically in a new bug:   https://bugzilla.redhat.com/show_bug.cgi?id=509660

*** This bug has been marked as a duplicate of bug 509660 ***

Note You need to log in before you can comment on or make changes to this bug.